 IF EXISTS
(
    SELECT 1
    FROM SYS.VIEWS
    WHERE NAME = 'V_EST_PED_VD_TIPO_PRE_FATURAS'
)
    BEGIN
        DROP VIEW V_EST_PED_VD_TIPO_PRE_FATURAS;
    END;
GO

CREATE VIEW V_EST_PED_VD_TIPO_PRE_FATURAS
AS
SELECT 0 AS CD_TIPO, '0  - PEDIDO DE VENDAS' DS_TIPO
UNION ALL
SELECT 1 AS CD_TIPO, '1  - REQUISICAO MERCADORIAS' DS_TIPO
UNION ALL
SELECT 2 AS CD_TIPO, '2  - CONSIGNADO' DS_TIPO
UNION ALL
SELECT 3 AS CD_TIPO, '3  - ORCAMENTO' DS_TIPO
UNION ALL
SELECT 4 AS CD_TIPO, '4  - TRANSFERENCIA' DS_TIPO
UNION ALL
SELECT 5 AS CD_TIPO, '5  - ENVIO DE EXCESSO' DS_TIPO
UNION ALL
SELECT 6 AS CD_TIPO, '6  - DESOVA DE PRODUTOS' DS_TIPO
UNION ALL
SELECT 7 AS CD_TIPO, '7  - PRE-FATURA DE ENTRADA DE PRODUTOS' DS_TIPO
UNION ALL
SELECT 8 AS CD_TIPO, '8  - PRE-FATURA DE AJUSTE DE ESTOQUE DE BALANCO' DS_TIPO
UNION ALL
SELECT 9 AS CD_TIPO, '9  - PRE-FATURA DE AJUSTE DE ESTOQUE DEFINITIVO' DS_TIPO
UNION ALL
SELECT 10 AS CD_TIPO, '10 - PRE-FATURA DE TRANSFERENCIA POR REQUISICAO' DS_TIPO
UNION ALL
SELECT 11 AS CD_TIPO, '11 - TRANSFERENCIA DE MATERIAL DE USO E CONSUMO' DS_TIPO
UNION ALL
SELECT 12 AS CD_TIPO, '12 - PRE-FATURA DE TRANSPOSICAO DE ESTOQUE' DS_TIPO
UNION ALL
SELECT 13 AS CD_TIPO, '13 - PRE-FATURA DE INCINERACAO DE ESTOQUE' DS_TIPO
UNION ALL
SELECT 14 AS CD_TIPO, '14 - DEVOLUCAO DE COMPRAS' DS_TIPO
